/*
 * i2c_twi.c
 *
 *  Created on: 2010-09-07
 *       Autor: Mirosaw Karda
 */
#include <avr/io.h>

#include "i2c_twi.h"

// pocztkowa cz biblioteki znajduje si w ksice:
// http://atnel.pl/mikrokontrolery-avr-jezyk-c.html
// "Mikrokontrolery AVR Jzyk C Podstawy programowania


// poniej dwie funkcje utworzone na potrzeby poradnika ADC cz 05

// http://mirekk36.blogspot.com/2013/07/przetwornik-adc-w-avr-czesc-05.html

void MCP_read_buf(uint8_t SLA, uint8_t len, uint8_t *buf) {

	TWI_start();
	TWI_write(SLA + 1);
	while (len--) *buf++ = TWI_read( len ? ACK : NACK );
	TWI_stop();
}


void MCP_write_buf( uint8_t SLA, uint8_t len, uint8_t *buf ) {

	TWI_start();
	TWI_write(SLA);
	while (len--) TWI_write(*buf++);
	TWI_stop();
}
